View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012810VTK(No Category)public2011-12-19 09:572016-08-12 09:55
ReporterPavel Pokutnev 
Assigned ToDave DeMarle 
PriorityhighSeverityminorReproducibilityhave not tried
StatusclosedResolutionmoved 
PlatformOSOS Version
Product Version5.8.0 
Target VersionFixed in Version 
Summary0012810: BUG in vtkVolumeRayCastIsosurfaceFunction.cxx
DescriptionThere is int overflow bug in vtkVolumeRayCastIsosurfaceFunction, if used with big volumes [2000 * 2000 * 2000] > [max(int) = 2147483647].

Attached to this bug report you will find the fixed version of vtkVolumeRayCastIsosurfaceFunction.cxx.
TagsNo tags attached.
ProjectTBD
Typecrash
Attached Filescxx file icon vtkVolumeRayCastIsosurfaceFunction.cxx [^] (38,889 bytes) 2011-12-19 09:57

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0031039)
Dave DeMarle (administrator)
2013-06-25 10:30

Thanks Pavel.
Would you mind submitting this in the form of a gerrit patch to facilitate automated testing and reviewing?
For details on how to so so see http://www.vtk.org/Wiki/VTK/Git/Develop [^]
(0031151)
Dave DeMarle (administrator)
2013-07-22 12:42

feel free to reopen if you find this is not working in 6.0.0
(0037264)
Kitware Robot (administrator)
2016-08-12 09:55

Resolving issue as `moved`.

This issue tracker is no longer used. Further discussion of this issue may take place in the current VTK Issues page linked in the banner at the top of this page.

- Issue History
Date Modified Username Field Change
2011-12-19 09:57 Pavel Pokutnev New Issue
2011-12-19 09:57 Pavel Pokutnev File Added: vtkVolumeRayCastIsosurfaceFunction.cxx
2013-06-25 10:30 Dave DeMarle Note Added: 0031039
2013-07-22 12:42 Dave DeMarle Note Added: 0031151
2013-07-22 12:42 Dave DeMarle Status backlog => expired
2013-07-22 12:42 Dave DeMarle Resolution open => fixed
2013-07-22 12:42 Dave DeMarle Assigned To => Dave DeMarle
2016-08-12 09:55 Kitware Robot Note Added: 0037264
2016-08-12 09:55 Kitware Robot Status expired => closed
2016-08-12 09:55 Kitware Robot Resolution fixed => moved


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker